SystemOrganization addCategory: #UserSettingStyle!

Object subclass: #StuartsSettingStyle
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UserSettingStyle'!

!StuartsSettingStyle class methodsFor: 'code building' stamp: 'StuartHerring 2/12/2011 18:37'!
compileAllLoadMethodsFor: aCollectionOfDeclarations 
	aCollectionOfDeclarations
		do: [:decl | 
			| code |
			code := self individualMethodCodeForDeclaration: decl.
			self compile: code classified: self settingLoadMethodCategory]! !

!StuartsSettingStyle class methodsFor: 'code building' stamp: 'StuartHerring 2/12/2011 18:37'!
individualMethodCodeForDeclaration: decl 
	^ String
		streamContents: [:s | 
			s nextPutAll: 'load'
					, (decl name asIdentifier: true) , String cr;
				 tab.
			s nextPutAll: String tab , 'self loadSetting: #' , decl name , ' withBlock: '.
			s nextPut: $[;
				
				nextPutAll: (decl target isSymbol
						ifTrue: [decl target]
						ifFalse: [decl target name]);
				
				nextPutAll: (decl targetSelector
						ifNil: ['']
						ifNotNil: [' ' , decl targetSelector]);
				 nextPutAll: ' ' , decl setSelector , ' '.
			s nextPutAll: (self storedValueOfDeclaration: decl).
			s nextPutAll: '].';
				 cr]! !

!StuartsSettingStyle class methodsFor: 'code building' stamp: 'StuartHerring 2/12/2011 18:37'!
settingLoadMethodCategory
	^ 'setting loading'! !

!StuartsSettingStyle class methodsFor: 'code building' stamp: 'StuartHerring 2/12/2011 18:37'!
storedValueOfDeclaration: aSettingDeclaration
	^ String streamContents: [:s | aSettingDeclaration realValue settingStoreOn: s]
! !

!StuartsSettingStyle class methodsFor: 'accessing' stamp: 'StuartHerring 2/12/2011 18:37'!
styleName
	<settingstyle>
	^ 'Stuarts'! !

!StuartsSettingStyle methodsFor: 'loading' stamp: 'StuartHerring 2/12/2011 18:37'!
load
	(self class methodsInCategory: self class settingLoadMethodCategory) do: [:m | self perform: m].
	SettingBrowser refreshAllSettingBrowsers
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadAllowBlockArgumentAssignment
		self loadSetting: #allowBlockArgumentAssignment withBlock: [Parser allowBlockArgumentAssignment: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadAllowUnderscoreAsAssignment
		self loadSetting: #allowUnderscoreAsAssignment withBlock: [Scanner allowUnderscoreAsAssignment: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadAnimateClosing
		self loadSetting: #animateClosing withBlock: [UITheme currentAnimationSettings animateClosing: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadAnimationDelay
		self loadSetting: #animationDelay withBlock: [UITheme currentAnimationSettings delay: 8].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadAnimationNumberOfSteps
		self loadSetting: #animationNumberOfSteps withBlock: [UITheme currentAnimationSettings numberOfSteps: 20].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadAutoMenuColor
		self loadSetting: #autoMenuColor withBlock: [UITheme currentSettings autoMenuColor: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadBalloonFont
		self loadSetting: #balloonFont withBlock: [StandardFonts balloonFont: (StrikeFontSet familyName: 'Accuny' size: 10 emphasized: 0)].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadBalloonHelpEnabled
		self loadSetting: #balloonHelpEnabled withBlock: [UITheme currentSettings balloonHelpEnabled: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadBlabEmail
		self loadSetting: #blabEmail withBlock: [NetworkSystemSettings blabEmail: ''].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadBrowseWithPrettyPrint
		self loadSetting: #browseWithPrettyPrint withBlock: [CodeHolder browseWithPrettyPrint: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadButtonFont
		self loadSetting: #buttonFont withBlock: [StandardFonts buttonFont: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9 emphasized: 1)].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadCacheSize
		self loadSetting: #cacheSize withBlock: [FreeTypeCache current cacheSize: 5000].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadCaseSensitiveFinds
		self loadSetting: #caseSensitiveFinds withBlock: [ParagraphEditor caseSensitiveFinds: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadCheckChangesFileAvailability
		self loadSetting: #checkChangesFileAvailability withBlock: [SmalltalkImage checkChangesFileAvailability: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadCheckSourcesFileAvailability
		self loadSetting: #checkSourcesFileAvailability withBlock: [SmalltalkImage checkSourcesFileAvailability: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadCmdDotEnabled
		self loadSetting: #cmdDotEnabled withBlock: [UserInterruptHandler cmdDotEnabled: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadCodeFont
		self loadSetting: #codeFont withBlock: [StandardFonts codeFont: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9 emphasized: 1)].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadControlAltKeyDecodePolicy
		self loadSetting: #controlAltKeyDecodePolicy withBlock: [InputEventSensor controlAltKeyDecodePolicy: #FullMatching].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadCpuWatcherEnabled
		self loadSetting: #cpuWatcherEnabled withBlock: [CPUWatcher cpuWatcherEnabled: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDebugPrintSpaceLog
		self loadSetting: #debugPrintSpaceLog withBlock: [ImageSegment debugPrintSpaceLog: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDebugShowDamage
		self loadSetting: #debugShowDamage withBlock: [WorldState debugShowDamage: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDecorateBrowserButtons
		self loadSetting: #decorateBrowserButtons withBlock: [CodeHolder decorateBrowserButtons: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDefaultBrowser
		self loadSetting: #defaultBrowser withBlock: [SystemBrowser default: OBSystemBrowserAdaptor].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDefaultDirectoryName
		self loadSetting: #defaultDirectoryName withBlock: [MCDirectoryRepository defaultDirectoryName: 'C:\Users\stuart\Documents\My Dropbox\Projects\Experiments'].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDefaultFont
		self loadSetting: #defaultFont withBlock: [StandardFonts defaultFont: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9 emphasized: 1)].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDefaultYellowButtonMenuEnabled
		self loadSetting: #defaultYellowButtonMenuEnabled withBlock: [Morph defaultYellowButtonMenuEnabled: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDesktopColor
		self loadSetting: #desktopColor withBlock: [PolymorphSystemSettings desktopColor: (Color r: 0.937 g: 0.937 b: 0.937)].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDesktopGradientDirection
		self loadSetting: #desktopGradientDirection withBlock: [PolymorphSystemSettings desktopGradientDirection: #Vertical].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDesktopGradientFillColor
		self loadSetting: #desktopGradientFillColor withBlock: [PolymorphSystemSettings desktopGradientFillColor: (Color r: 0.937 g: 0.937 b: 0.937)].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDesktopGradientOrigin
		self loadSetting: #desktopGradientOrigin withBlock: [PolymorphSystemSettings desktopGradientOrigin: #topLeft].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDesktopImageFileName
		self loadSetting: #desktopImageFileName withBlock: [PolymorphSystemSettings desktopImageFileName: ''].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDiffsInChangeList
		self loadSetting: #diffsInChangeList withBlock: [CodeHolder diffsInChangeList: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDiffsWithPrettyPrint
		self loadSetting: #diffsWithPrettyPrint withBlock: [CodeHolder diffsWithPrettyPrint: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadDisplayFullscreen
		self loadSetting: #displayFullscreen withBlock: [Display fullScreen: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadEditableStringMorph
		self loadSetting: #editableStringMorph withBlock: [StringMorph editableStringMorph: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadExtraDebuggerButtons
		self loadSetting: #extraDebuggerButtons withBlock: [Debugger extraDebuggerButtons: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadFadedBackgroundWindows
		self loadSetting: #fadedBackgroundWindows withBlock: [UITheme currentSettings fadedBackgroundWindows: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadFastDragging
		self loadSetting: #fastDragging withBlock: [UITheme currentSettings fastDragging: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadFlatMenu
		self loadSetting: #flatMenu withBlock: [UITheme currentSettings flatMenu: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadFormatCommentWithStatements
		self loadSetting: #formatCommentWithStatements withBlock: [RBConfigurableFormatter formatCommentWithStatements: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadFormatterClass
		self loadSetting: #formatterClass withBlock: [RBProgramNode formatterClass: RBConfigurableFormatter].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadFullScreenMargin
		self loadSetting: #fullScreenMargin withBlock: [SystemWindow fullScreenMargin: -5].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadGlyphContrast
		self loadSetting: #glyphContrast withBlock: [FreeTypeSettings current glyphContrast: 55.0].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadHaloEnclosesFullBounds
		self loadSetting: #haloEnclosesFullBounds withBlock: [HaloMorph haloEnclosesFullBounds: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadHaloFont
		self loadSetting: #haloFont withBlock: [StandardFonts haloFont: (StrikeFontSet familyName: 'Accuny' size: 10 emphasized: 0)].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadHintingSymbol
		self loadSetting: #hintingSymbol withBlock: [FreeTypeSettings current hintingSymbol: #Light].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadHttpProxyPort
		self loadSetting: #httpProxyPort withBlock: [HTTPSocket httpProxyPort: 80].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadHttpProxyServer
		self loadSetting: #httpProxyServer withBlock: [HTTPSocket httpProxyServer: ''].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadIgnoreLineEndings
		self loadSetting: #ignoreLineEndings withBlock: [TextDiffBuilder ignoreLineEndings: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadIndentString
		self loadSetting: #indentString withBlock: [RBConfigurableFormatter indentString: '	'].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadIndentsForKeywords
		self loadSetting: #indentsForKeywords withBlock: [RBConfigurableFormatter indentsForKeywords: 1].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadInfiniteUndo
		self loadSetting: #infiniteUndo withBlock: [CommandHistory infiniteUndo: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadKeepBlockInMessage
		self loadSetting: #keepBlockInMessage withBlock: [RBConfigurableFormatter keepBlockInMessage: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadKeepTaskListOpen
		self loadSetting: #keepTaskListOpen withBlock: [TasklistMorph keepOpen: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadKeyboardFocusOnMouseDown
		self loadSetting: #keyboardFocusOnMouseDown withBlock: [MorphicModel keyboardFocusOnMouseDown: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadLineUpBlockBrackets
		self loadSetting: #lineUpBlockBrackets withBlock: [RBConfigurableFormatter lineUpBlockBrackets: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadListFont
		self loadSetting: #listFont withBlock: [StandardFonts listFont: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9 emphasized: 1)].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadLogDebuggerStackToFile
		self loadSetting: #logDebuggerStackToFile withBlock: [Debugger logDebuggerStackToFile: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadMaxLineLength
		self loadSetting: #maxLineLength withBlock: [RBConfigurableFormatter maxLineLength: 120].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadMenuFont
		self loadSetting: #menuFont withBlock: [StandardFonts menuFont: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9 emphasized: 1)].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadMenuWithIcons
		self loadSetting: #menuWithIcons withBlock: [UITheme currentSettings menuWithIcons: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadMethodSignatureOnMultipleLines
		self loadSetting: #methodSignatureOnMultipleLines withBlock: [RBConfigurableFormatter methodSignatureOnMultipleLines: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadMinimumNewLinesBetweenStatements
		self loadSetting: #minimumNewLinesBetweenStatements withBlock: [RBConfigurableFormatter minimumNewLinesBetweenStatements: 1].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadMonitorType
		self loadSetting: #monitorType withBlock: [FreeTypeSettings current monitorType: #LCD].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadMouseOverForKeyboardFocus
		self loadSetting: #mouseOverForKeyboardFocus withBlock: [MorphicModel mouseOverForKeyboardFocus: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadMultiLineMessages
		self loadSetting: #multiLineMessages withBlock: [RBConfigurableFormatter multiLineMessages: #(#ifTrue:ifFalse: #ifFalse:ifTrue: #ifTrue: #ifFalse: )].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadMustCheckForSlips
		self loadSetting: #mustCheckForSlips withBlock: [ChangeSet mustCheckForSlips: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadNewLineAfterCascade
		self loadSetting: #newLineAfterCascade withBlock: [RBConfigurableFormatter newLineAfterCascade: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadNewLineBeforeFirstCascade
		self loadSetting: #newLineBeforeFirstCascade withBlock: [RBConfigurableFormatter newLineBeforeFirstCascade: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadNewLineBeforeFirstKeyword
		self loadSetting: #newLineBeforeFirstKeyword withBlock: [RBConfigurableFormatter newLineBeforeFirstKeyword: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadNewLinesAfterMethodComment
		self loadSetting: #newLinesAfterMethodComment withBlock: [RBConfigurableFormatter newLinesAfterMethodComment: 2].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadNewLinesAfterMethodPattern
		self loadSetting: #newLinesAfterMethodPattern withBlock: [RBConfigurableFormatter newLinesAfterMethodPattern: 1].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadNewLinesAfterTemporaries
		self loadSetting: #newLinesAfterTemporaries withBlock: [RBConfigurableFormatter newLinesAfterTemporaries: 1].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadNumberOfArgumentsForMultiLine
		self loadSetting: #numberOfArgumentsForMultiLine withBlock: [RBConfigurableFormatter numberOfArgumentsForMultiLine: 4].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadObjectExplorerShowIcons
		self loadSetting: #ObjectExplorerShowIcons withBlock: [ObjectExplorer showIcons: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadOneLineMessages
		self loadSetting: #oneLineMessages withBlock: [RBConfigurableFormatter oneLineMessages: #(#to: #to:do: #to:by: #to:by:do: )].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadOptionalButtons
		self loadSetting: #optionalButtons withBlock: [CodeHolder optionalButtons: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadPeriodsAsTerminators
		self loadSetting: #periodsAsTerminators withBlock: [RBConfigurableFormatter periodsAsTerminators: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadPeriodsAtEndOfBlock
		self loadSetting: #periodsAtEndOfBlock withBlock: [RBConfigurableFormatter periodsAtEndOfBlock: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadPeriodsAtEndOfMethod
		self loadSetting: #periodsAtEndOfMethod withBlock: [RBConfigurableFormatter periodsAtEndOfMethod: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadPolymorphDiffToolsUsedByDefault
		self loadSetting: #polymorphDiffToolsUsedByDefault withBlock: [PSMCPatchMorph usedByDefault: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadPreferGradientFill
		self loadSetting: #preferGradientFill withBlock: [UITheme currentSettings preferGradientFill: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadPreferRoundCorner
		self loadSetting: #preferRoundCorner withBlock: [UITheme currentSettings preferRoundCorner: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadPromptOnRefactoring
		self loadSetting: #promptOnRefactoring withBlock: [ORCommand promptOnRefactoring: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadProxyPassword
		self loadSetting: #proxyPassword withBlock: [NetworkSystemSettings proxyPassword: ''].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadProxyUser
		self loadSetting: #proxyUser withBlock: [NetworkSystemSettings proxyUser: ''].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadPurgeUndoOnQuit
		self loadSetting: #purgeUndoOnQuit withBlock: [CommandHistory purgeUndoOnQuit: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadRaiseWarning
		self loadSetting: #raiseWarning withBlock: [Deprecation raiseWarning: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadRestartAlsoProceeds
		self loadSetting: #restartAlsoProceeds withBlock: [Debugger restartAlsoProceeds: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadServerMode
		self loadSetting: #serverMode withBlock: [WorldState serverMode: false].
! !

!StuartsSettingStyle methodsFor: 'loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadSetting: aName withBlock: aBlock 
	aBlock
		on: Error
		do: [| message |
			message := 'Error while changing the setting: ' , aName.
			Transcript show: message , String cr] ! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadShowAnnotationPane
		self loadSetting: #showAnnotationPane withBlock: [CodeHolder showAnnotationPane: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadShowAutotestDashboard
		self loadSetting: #showAutotestDashboard withBlock: [AutotestDashboard showAutotestDashboard: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadShowBoundsInHalo
		self loadSetting: #showBoundsInHalo withBlock: [HaloMorph showBoundsInHalo: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadShowTaskbar
		self loadSetting: #showTaskbar withBlock: [TaskbarMorph showTaskbar: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadShowTextEditingState
		self loadSetting: #showTextEditingState withBlock: [PluggableTextMorph showTextEditingState: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadShowUpdateOptionInWorldMenu
		self loadSetting: #showUpdateOptionInWorldMenu withBlock: [WorldState showUpdateOptionInWorldMenu: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadShowWarning
		self loadSetting: #showWarning withBlock: [Deprecation showWarning: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadShowWindowPreview
		self loadSetting: #showWindowPreview withBlock: [TaskbarMorph showWindowPreview: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadSmartUpdating
		self loadSetting: #smartUpdating withBlock: [CodeHolder smartUpdating: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadSoundEnabled
		self loadSetting: #soundEnabled withBlock: [SoundSettings soundEnabled: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadSoundThemeClass
		self loadSetting: #soundThemeClass withBlock: [PolymorphSystemSettings soundThemeClass: NullSoundTheme].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadStringFollowingReturn
		self loadSetting: #stringFollowingReturn withBlock: [RBConfigurableFormatter stringFollowingReturn: ' '].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadStringInsideBlocks
		self loadSetting: #stringInsideBlocks withBlock: [RBConfigurableFormatter stringInsideBlocks: ' '].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadStringInsideParentheses
		self loadSetting: #stringInsideParentheses withBlock: [RBConfigurableFormatter stringInsideParentheses: ''].
! !

!StuartsSettingStyle methodsFor: 'loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadStyle
	[self load]
		on: Error
		do: [Transcript show: 'Error while loading Setting style ' , self class styleName, String cr.
			^ false].
	Transcript show: 'Setting style ' , self class styleName , ' loaded.' , String cr.
	^ true! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadStyleNameClassSuffix
		self loadSetting: #styleNameClassSuffix withBlock: [SettingBrowser styleNameClassSuffix: 'SettingStyle'].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadTextEntryFieldMinimumWidth
		self loadSetting: #textEntryFieldMinimumWidth withBlock: [TextEntryDialogWindow minimumWidth: 450].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadTraditionalBinaryPrecedence
		self loadSetting: #traditionalBinaryPrecedence withBlock: [RBConfigurableFormatter traditionalBinaryPrecedence: #(#($| $& $? ) #($= $~ $< $> ) #($- $+ ) #($* $/ $% $\ ) #($@ ) )].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUiThemeClass
		self loadSetting: #uiThemeClass withBlock: [PolymorphSystemSettings uiThemeClass: UIThemeSoftSqueak].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUndoSize
		self loadSetting: #undoSize withBlock: [RefactoryChangeManager undoSize: 20].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUpdateFontsAtImageStartup
		self loadSetting: #updateFontsAtImageStartup withBlock: [FreeTypeSettings updateFontsAtImageStartup: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUpdateFromServerAtStartup
		self loadSetting: #updateFromServerAtStartup withBlock: [AutoStart updateFromServerAtStartup: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUpdateSavesFile
		self loadSetting: #updateSavesFile withBlock: [Utilities updateSavesFile: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUpgradeIsMerge
		self loadSetting: #upgradeIsMerge withBlock: [MCConfiguration upgradeIsMerge: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUseAnimation
		self loadSetting: #useAnimation withBlock: [UITheme currentAnimationSettings useAnimation: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUseDesktopGradientFill
		self loadSetting: #useDesktopGradientFill withBlock: [PolymorphSystemSettings useDesktopGradientFill: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUseHTTPProxy
		self loadSetting: #useHTTPProxy withBlock: [NetworkSystemSettings useHTTPProxy: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUseLocale
		self loadSetting: #useLocale withBlock: [Locale activated: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUseMultipleUndo
		self loadSetting: #useMultipleUndo withBlock: [TextMorphEditor useMultipleUndo: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUseNetworkAuthentification
		self loadSetting: #useNetworkAuthentification withBlock: [NetworkSystemSettings useNetworkAuthentification: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUseThemeSounds
		self loadSetting: #useThemeSounds withBlock: [SoundSettings useThemeSounds: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUseTraditionalBinaryPrecedenceForParentheses
		self loadSetting: #useTraditionalBinaryPrecedenceForParentheses withBlock: [RBConfigurableFormatter useTraditionalBinaryPrecedenceForParentheses: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUseUndo
		self loadSetting: #useUndo withBlock: [CommandHistory useUndo: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUserStylePackageNamePrefix
		self loadSetting: #userStylePackageNamePrefix withBlock: [SettingBrowser userStylePackageNamePrefix: 'UserSettingStyle'].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadUserStylePackageNameSuffix
		self loadSetting: #userStylePackageNameSuffix withBlock: [SettingBrowser userStylePackageNameSuffix: ''].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadWalkAlongDisplayedLine
		self loadSetting: #walkAlongDisplayedLine withBlock: [ParagraphEditor walkAlongDisplayedLine: true].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadWarningAllowed
		self loadSetting: #warningAllowed withBlock: [Parser warningAllowed: false].
! !

!StuartsSettingStyle methodsFor: 'setting loading' stamp: 'StuartHerring 2/12/2011 18:37'!
loadWindowTitleFont
		self loadSetting: #windowTitleFont withBlock: [StandardFonts windowTitleFont: (StrikeFont familyName: 'Bitmap DejaVu Sans' pointSize: 9 emphasized: 1)].
! !
